Package org.eclipse.ecf.remoteservice.util

# Class RemoteCallMethod

java.lang.Object
org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteCall
org.eclipse.ecf.remoteservice.RemoteCall
org.eclipse.ecf.remoteservice.util.RemoteCallMethod

All Implemented Interfaces:
  `IRemoteCall`

public class RemoteCallMethod extends RemoteCall implements IRemoteCall
Implementation of IRemoteCall based upon Method.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final Object[]`
`EMPTY_PARAMETERS`

### Fields inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`method, parameters, timeout`

### Fields inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`DEFAULT_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`RemoteCallMethod(Method method)`
`RemoteCallMethod(Method method, long timeout)`
`RemoteCallMethod(Method method, Object[] parameters)`
`RemoteCallMethod(Method method, Object[] parameters, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkForTypeMatch(Method method, Object[] parameters)`
`static void`
`checkSerializable(Object[] parameters)`
`void`
`setParameters(Method method, Object[] parameters)`

### Methods inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`getMethod, getParameters, getTimeout, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`getMethod, getParameters, getTimeout`

## Field Details

### EMPTY_PARAMETERS

protected static final Object[] EMPTY_PARAMETERS

## Constructor Details

### RemoteCallMethod

public RemoteCallMethod(Method method, Object[] parameters, long timeout) throws NotSerializableException

Throws:
  `NotSerializableException`

### RemoteCallMethod

public RemoteCallMethod(Method method, Object[] parameters) throws NotSerializableException

Throws:
  `NotSerializableException`

### RemoteCallMethod

public RemoteCallMethod(Method method, long timeout)

### RemoteCallMethod

public RemoteCallMethod(Method method)

## Method Details

### checkSerializable

public static void checkSerializable(Object[] parameters) throws NotSerializableException

Throws:
  `NotSerializableException`

### checkForTypeMatch

public static void checkForTypeMatch(Method method, Object[] parameters)

### setParameters

public void setParameters(Method method, Object[] parameters) throws NotSerializableException

Parameters:
  `method` - method
  `parameters` - parameters
Throws:
  `NotSerializableException` - if given parameters cannot be serialized
Since:
  4.0